Special Aircraft Service

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: Please help me understand patch 4.14  (Read 579 times)

0 Members and 1 Guest are viewing this topic.

Venator77

  • Missioneer
  • member
  • Offline Offline
  • Posts: 505
Please help me understand patch 4.14
« on: April 23, 2019, 08:33:22 PM »

So I come back here every now and then to check up on the development of BAT, to see whether or not there were new expansions released. 3.6 was released, so while I was downloading it, I discovered the 4.14 thread. I skimmed it and I was shocked to discover the amount of disgust this new patch had caused (I also found out today that Asura had stolen content from other modders and gave it to TD, but that's a different topic) among the community.

As I am not a programmer in any sense, can someone tell me in simple terms what in the world is going on?

Thanks,

 Venator77
Logged

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: Please help me understand patch 4.14
« Reply #1 on: April 23, 2019, 10:02:34 PM »

A modder group called "TD" released IL-2 1946 4.14.
Another modder group called "SAS" released IL-2 1946 5.00 / BAT 3.6.

That's what's been going on.

]cheers[
Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

Vortex

  • member
  • Offline Offline
  • Posts: 45
Re: Please help me understand patch 4.14
« Reply #2 on: April 24, 2019, 03:16:13 AM »

 ;D 5.0 is so right
Logged

Venator77

  • Missioneer
  • member
  • Offline Offline
  • Posts: 505
Re: Please help me understand patch 4.14
« Reply #3 on: April 24, 2019, 12:14:29 PM »

I saw something about malware and 4.14 being impossible to crack.

Wat?
Logged

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: Please help me understand patch 4.14
« Reply #4 on: April 24, 2019, 12:19:27 PM »

Malware yes. 4.14 deletes user files which are unrelated to the mod.
Impossible to Crack?
:))
Nope, anything but impossible.
TD obviously had the intention to achieve exactly that, but their skills are insufficient by far.

]cheers[
Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

Venator77

  • Missioneer
  • member
  • Offline Offline
  • Posts: 505
Re: Please help me understand patch 4.14
« Reply #5 on: April 24, 2019, 01:32:38 PM »

I see. Well good luck cracking that barrier.
Logged

[FAC]Ghost129er

  • Oh look, a BSoD!
  • Modder
  • member
  • Offline Offline
  • Posts: 1047
  • SAS Certified Nuisance
Re: Please help me understand patch 4.14
« Reply #6 on: April 24, 2019, 02:31:33 PM »

It's already been done, if so to say, in a way... 8)
Logged
Clowns to the left of me, Jokers to the right, here I am, stuck in the middle with you.

max_thehitman

  • SAS~Area51
  • Modder
  • member
  • Offline Offline
  • Posts: 9020
  • Beer...Girls...IL2+Mods!
Re: Please help me understand patch 4.14
« Reply #7 on: April 24, 2019, 02:40:44 PM »


...  can someone tell me in simple terms what in the world is going on?

Thanks,

 Venator77

Well Venator77, I hate to tell you the bad news  :(  We have just a few days until the END OF THE WORLD.
Start packing your bags and enjoy your last flight in IL2-1946+Mods.

https://howmanydaystill.com/its/end-of-the-world-30

This is a cruel world  ::(



Logged
Everything I like is either illegal, immoral or fattening ! Welcome to SAS1946

Dreamk

  • Modder
  • member
  • Offline Offline
  • Posts: 1562
Re: Please help me understand patch 4.14
« Reply #8 on: April 24, 2019, 04:03:30 PM »

The fact is that 4.14 can be relatively easily cracked by the SAS's java gurus - just take a look at the following findings:

@edit by Admin: Cracking Instructions snipped.
Logged

Venator77

  • Missioneer
  • member
  • Offline Offline
  • Posts: 505
Re: Please help me understand patch 4.14
« Reply #9 on: April 24, 2019, 07:43:02 PM »

The fact is that 4.14 can be relatively easily cracked by the SAS's java gurus - just take a look at the following findings:
@edit by Admin: Cracking Instructions snipped.

So you're saying that in the few days that have passed since 4.14's release, top men had already identified ways of penetrating Il-2's code to be ripe for extensive modding?

I'm impressed. If only this was the official updates rather than Team Dialdos
Logged

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: Please help me understand patch 4.14
« Reply #10 on: April 24, 2019, 10:57:04 PM »

you're saying that in the few days that have passed since 4.14's release, top men had already identified ways of penetrating Il-2's code
Few days?
We've lost two or three hours considering whether 4.14 is even worth the effort.
After that, it's been one extended coffee break and that cheap excuse of an anti-modding mechanism was hacked.

If you wanna f*ck the SAS in the ASS, you have to get up a little earlier.
Freddy from Histomod had to learn that lesson with his attempt to lock down IES1 (glad to see that his team mates reconsidered with follow-up releases), now TD had to learn that lesson as well.

]cheers[
Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...
Pages: [1]   Go Up
 

Page created in 0.012 seconds with 26 queries.